Bug 228168 - Plugin Portal Update Center doesn't update its content
Plugin Portal Update Center doesn't update its content
Status: VERIFIED FIXED
Product: updatecenters
Classification: Unclassified
Component: Pluginportal
7.4
PC Windows 7
: P1 (vote)
: TBD
Assigned To: Jan Pirek
issues@updatecenters
plugin_portal_22
: PLAN
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-04-02 15:16 UTC by markiewb
Modified: 2013-04-17 10:16 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description markiewb 2013-04-02 15:16:49 UTC
Plugin update center doesn't provide the newest verified plugins

Example:
* Download the verified plugin from http://plugins.netbeans.org/plugin/47589/additional-hints and you get version 1.0.1 -> OK
* Download the same verified plugin from http://plugins.netbeans.org/nbpluginportal/updates/7.3/catalog.xml.gz and you'll get the old version 1.0.0 (not 1.0.1) -> NOK 

IMHO all the catalogs have to be rebuild. At best nightly in a CI-Build.
Comment 1 Jiri Kovalsky 2013-04-04 08:31:57 UTC
Honzo, can you please investigate what's wrong here? I have verified what Benno said. It's really strange that PP offers version 1.0.1 while PPUC still refers to version 1.0.0. Plugin log shows that Benno uploaded version 1.0.1 on 2013-03-23 18:51:12 and the second Go vote came on 2013-03-31 11:57:02. The core question is why the catalog was not regenerated? Its timestamp is 09/03/04/18/3/2013. BTW, the same happened to 7.2 PPUC.
Comment 2 Jiri Kovalsky 2013-04-04 09:17:30 UTC
This is a candidate for Plugin Portal 2.2.
Comment 3 junichi11 2013-04-09 01:05:35 UTC
Other plugins are not also updated.

For example, [1] and [2] are not displayed on plugins list.  [3] is
displayed old version. (These status is "PASSED")

[1] http://plugins.netbeans.org/plugin/45870/orchid-swing-components-library
[2] http://plugins.netbeans.org/plugin/41543/typoscript-support-for-netbeans-ide
[3] http://plugins.netbeans.org/plugin/42406/codename-one

Thanks.
Comment 4 Jiri Kovalsky 2013-04-09 07:57:50 UTC
Increasing priority due to more people complaining. Honzo, can you please take a look at this?
Comment 5 Jiri Kovalsky 2013-04-09 08:10:23 UTC
BTW, it is not even possible to re-generate the update center manually. So this basically means that content of the Plugin Portal Update Center is now static since March 18th, 2013. Increasing priority to P1. This is an obvious showstopper.
Comment 6 Jan Pirek 2013-04-09 13:03:47 UTC
issue is that generated catalog fails validation against it's DTD which is after the migration unavailable!

https://netbeans.org/dtds/autoupdate-catalog-2_6.dtd -> 404 page not found

I will work with kenai team on resolution.

honza
Comment 7 Jan Pirek 2013-04-10 08:29:51 UTC
until missing DTD is resolved I will disable catalog validation against it and I will regenerate all catalogs
Comment 8 Jiri Kovalsky 2013-04-10 10:11:45 UTC
Thanks Honzo. This temporary solution will help a lot!
Comment 9 junichi11 2013-04-10 10:25:00 UTC
We can update to new version of plugins now.
I hope that this is resolved successfully.

Thanks a lot!
Comment 10 Jiri Kovalsky 2013-04-10 11:25:46 UTC
Unfortunately not fully. Module catalogs must pass validation against the DTD file which is now turned off. When the access is renewed and the check is back this issue can be finally resolved as fixed.
Comment 11 Jan Pirek 2013-04-17 09:05:24 UTC
this is now fixed for real, catalog DTD is in place and validation works again...
Comment 12 Jiri Kovalsky 2013-04-17 09:43:14 UTC
Excellent work Honzo. Thanks a lot!
Comment 13 junichi11 2013-04-17 10:16:13 UTC
Thanks a lot!


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo